package org.dromara.ygpassport.service;

import com.github.yulichang.base.MPJBaseService;
import org.dromara.ygpassport.domain.ExactiveItems;
import org.dromara.ygpassport.domain.vo.ExactiveItemsVo;
import org.dromara.ygpassport.domain.bo.ExactiveItemsBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 第二课堂活动明细Service接口
 *
 * @author Lion Li
 * @date 2024-04-24
 */
public interface IExactiveItemsService extends MPJBaseService<ExactiveItems> {

    /**
     * 查询第二课堂活动明细
     */
    ExactiveItemsVo queryById(Long id);

    /**
     * 查询第二课堂活动明细列表
     */
    TableDataInfo<ExactiveItemsVo> queryPageList(ExactiveItemsBo bo, PageQuery pageQuery);

    /**
     * 查询第二课堂活动明细列表
     */
    List<ExactiveItemsVo> queryList(ExactiveItemsBo bo);

    /**
     * 新增第二课堂活动明细
     */
    Boolean insertByBo(ExactiveItemsBo bo);

    /**
     * 修改第二课堂活动明细
     */
    Boolean updateByBo(ExactiveItemsBo bo);

    /**
     * 校验并批量删除第二课堂活动明细信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
